Returns a new pixel iterator

- « ImagickPixelIterator::newPixelIterator

- ImagickPixelIterator::resetIterator »

- PHP Manual
- ImagickPixelIterator
- Returns a new pixel iterator

# ImagickPixelIterator::newPixelRegionIterator

(PECL imagick 2, PECL imagick 3)

ImagickPixelIterator::newPixelRegionIterator — Returns a new pixel iterator

### Description

public ImagickPixelIterator::newPixelRegionIterator(
Imagick `$wand`,
int `$x`,
int `$y`,
int `$columns`,
int `$rows`
): bool
Warning

This function is currently not documented; only its argument list is available.

Returns a new pixel iterator.

### Parameters

`wand`

`x`

`y`

`columns`

`rows`

### Return Values

Returns a new ImagickPixelIterator on success; on failure, throws ImagickPixelIteratorException.